ユーザー
フォロー中のアカウントを取得
GET /v1/users/{screen_name}/following reads 2 クレジット
フォロー中のアカウント。新しい順。
クエリパラメータ
| クエリパラメータ | 型 | 意味 |
|---|---|---|
count | int 1–100 = 50 | 要求するページサイズ。X はヒントとして扱います |
cursor | string | 前のページの next_cursor から |
レスポンス
アカウント、User 参照の 1 ページ、カーソル。 フィールドごとの説明: User 参照.
ステータス: 200, 404, 429, 502
リクエスト
curl https://api.xsignalfeed.com/v1/users/elonmusk/following?count=50 \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 404
{
"user": {
"id": "44196397",
"screen_name": "elonmusk"
},
"users": [
{
"id": "1",
"screen_name": "jordanbpeterson",
"name": "Dr Jordan B Peterson"
},
{
"…": "…"
}
],
"next_cursor": "1870789372997279023|1234"
}